Subject: RE: [Sip] Followup: Pool on Update of outbound (retitled thread)

From: "Elwell, John" <[email-masked]>
Date: Fri, 16 Feb 2007 18:09:48 +0000

Yes, I could agree to that.

John 

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]] 
> Sent: 16 February 2007 17:14
> To: Dean Willis; Christer Holmberg ((JO/LMF))
> Cc: Cullen Jennings; SIP; Juha Heinanen; Rohan Mahy
> Subject: RE: [Sip] Followup: Pool on Update of outbound 
> (retitled thread)
> 
> For what it's worth, here's my opinion. I think it's the only workable
> solution/compromise. And we are almost there.
>  
> 1 - Change the mechanism for TCP to be CRLF. Leave STUN for UDP as is.
> 
> Section 14 already has everthing required on the merits of TCP versus
> UDP, and which are mandatory to implement and all that.
> 
> > -----Original Message-----
> > From: Dean Willis [mailto:[email-masked]] 
> > Sent: Thursday, February 15, 2007 16:08
> > To: Christer Holmberg ((JO/LMF))
> > Cc: Cullen Jennings; SIP; Juha Heinanen; Rohan Mahy
> > Subject: [Sip] Followup: Pool on Update of outbound 
> (retitled thread)
> > 
> > 
> > On Jan 8, 2007, at 6:22 AM, Christer Holmberg ((JO/LMF)) wrote:
> > 
> > >>
> > >> the mailing list needs to be the authority that determines 
> > consensus, 
> > >> not the meeting that is attended only by those who can afford it.
> > >
> > > Well, then we don't need any hums in the future, do we? :)
> > 
> > Of course we do. I find them very amusing and occasionally 
> > informative.
> > 
> > > Seriously, I do agree, but I (and I am sure others too) 
> > have received 
> > > comments saying that "there was a concensus in this-or-that IETF 
> > > meeting", without the issue really even being discussed on 
> > the mailing 
> > > list. In some cases things have been discussed on the list, 
> > and have 
> > > even got some support, but then being turned down at the meeting.
> > >
> > > So, does that mean that all decissions made at meetings should be 
> > > agreed also on the list after that?
> > 
> > 
> > That's why we report it as "a consensus in the meeting" 
> > rather than "a consensus". My default assumption is that 
> > strong consensus in a meeting is likely to represent rough 
> > list consensus. When there is doubt (raised by a participant, 
> > or on a hunch of a Chair), we need to ask the list.
> > 
> > That's why I polled. And I'm still digesting the results of 
> > that poll. I feel something like an anaconda that 
> > accidentally ate a full- grown water buffalo instead of a 
> > small pig -- that is, it's hard to digest the results, and 
> > I'm not sure what to do about the horns.
> > 
> > My personal belief is that this keepalive question is 
> > comingled with the UDP and large packet issue. If we fix the 
> > congestion-explosion problem of SIP large messages (it's not 
> > a reliability thing, it is a Breaks The Internet thing) by 
> > effectively deprecating UDP, then we don't really need most 
> > of STUN. If that's the direction, or might become the 
> > direction, then we probably shouldn't require STUN for TCP. 
> > But if we're going to keep a dual-protocol model forever (as 
> > Marc has argued for extending to where we can use UDP to 
> > kick-start TCP), then we might as well use STUN in both cases.
> > 
> > Some people (Frank? Juha? Me??) clearly believe that outbound 
> > is where we can draw the dividing line between a 
> > dual-protocol past and a TCP future.
> > 
> > Some (Cullen? Sean?) believe that we can't draw a dividing 
> > line using Outbound, but that we'll eventually cross that line.
> > 
> > Others (Marc) believe we cannot even approach such a 
> > transition at this time and that we need to heavily revise 
> > outbound to account for the perceived limitations of both 
> TCP and UDP.
> > 
> > So, what do you people believe?
> > 
> > 1) Do you believe that UDP transport of large messages will 
> > aggravate the congestion impact of SIP on the Internet (I 
> > personally do, just so you know my bias).
> > 
> > 2) Will UDP fade away from SIP relatively soon?
> > 
> > 3) If UDP will fade away, do we need to burden TCP-only 
> > implementations with a more complex keepalive protocol 
> > designed originally for UDP?
> > 
> > 4) If UDP will fade away, do we need to account for UDP at 
> > all in outbound?
> > 
> > 5) If UDP will NOT fade away relatively soon, and TCP will 
> > not scale relatively soon, then do you believe that we need a 
> > transition mechanism so that we can register and keepalive 
> > using UDP, then bring up short-lived TCP connections for 
> > large messages as Marc's draft proposes?
> > 
> > 6) If you agree with #1 but think UDP will not fade away and 
> > don't see the need for #5, then I either want to know what 
> > sort of alternative you envision, because we're going to need one.
> > 
> > --
> > Dean
> > 
> > 
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol Use 
> > [email-masked] for questions on current sip 
> > Use [email-masked] for new developments on the application of sip
> > 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Rafferty, James" <[email-masked]>
Date: Fri, 16 Feb 2007 09:44:13 -0500

inline 

-----Original Message-----
From: Dean Willis [mailto:[email-masked]] 
Sent: Thursday, February 15, 2007 7:08 PM
To: Christer Holmberg ((JO/LMF))
Cc: Cullen Jennings; SIP; Juha Heinanen; Rohan Mahy
Subject: [Sip] Followup: Pool on Update of outbound (retitled thread)

<Snip>

Some people (Frank? Juha? Me??) clearly believe that outbound is where
we can draw the dividing line between a dual-protocol past and a TCP
future.

Some (Cullen? Sean?) believe that we can't draw a dividing line using
Outbound, but that we'll eventually cross that line.

Others (Marc) believe we cannot even approach such a transition at this
time and that we need to heavily revise outbound to account for the
perceived limitations of both TCP and UDP.

1) Do you believe that UDP transport of large messages will aggravate
the congestion impact of SIP on the Internet (I personally do, just so
you know my bias).

JR - Yes

JR - I'm seeing no sign of this in the market.  

3) If UDP will fade away, do we need to burden TCP-only implementations
with a more complex keepalive protocol designed originally for UDP?

JR - No

4) If UDP will fade away, do we need to account for UDP at all in
outbound?

JR - UDP will not fade away anytime soon, given the huge install base.  

5) If UDP will NOT fade away relatively soon, and TCP will not scale
relatively soon, then do you believe that we need a trans7bit
Content-Disposition: inline

--=======38309635=--

---

From: "Rafferty, James" <[email-masked]>
Date: Fri, 16 Feb 2007 09:44:13 -0500

inline 

-----Original Message-----
From: Dean Willis [mailto:[email-masked]] 
Sent: Thursday, February 15, 2007 7:08 PM
To: Christer Holmberg ((JO/LMF))
Cc: Cullen Jennings; SIP; Juha Heinanen; Rohan Mahy
Subject: [Sip] Followup: Pool on Update of outbound (retitled thread)

<Snip>

JR - Yes

JR - No

5) If UDP will NOT fade away relatively soon, and TCP will not scale
relatively soon, then do you believe that we need a transition mechanism
so that we can register and keepalive using UDP, then bring up
short-lived TCP connections for large messages as Marc's draft proposes?

JR - Yes.  

6) If you agree with #1 but think UDP will not fade away and don't see
the need for #5, then I either want to know what sort of alternative you
envision, because we're going to need one.

--
Dean

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

ition mechanism
so that we can register and keepalive using UDP, then bring up
short-lived TCP connections for large messages as Marc's draft proposes?

JR - Yes.  

6) If you agree with #1 but think UDP will not fade away and don't see
the need for #5, then I either want to know what sort of alternative you
envision, because we're going to need one.

--
Dean

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip